View Issue Details

IDProjectCategoryView StatusLast Update
0000918Far Manager 1.7xCommand Line/Executepublic2009-06-10 13:36
ReporterJohnDoeAssigned ToDrKnS 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version1.75 
Summary0000918: При использовании "Apply to" нужен дополнительный перевод строки
DescriptionВыделяем 3 файла: ClearPluginsCache.bat RestoreSettings.bat SaveSettings.bat
Жмём CtrlG echo !.!

Ожидаем:
C:\APPs\FAR\BinA>
ClearPluginsCache.bat
RestoreSettings.bat
SaveSettings.bat

Вместо этого
C:\APPs\FAR\BinA>ClearPluginsCache.bat
RestoreSettings.bat
SaveSettings.bat
Additional InformationВроде ерунда, а мешает:
Первую строку автоматически пропускаешь взглядом
И кажется будто CtrlG сработал не 3 а 2 раза
TagsNo tags attached.
Build2588

Activities

DrKnS

2009-06-07 16:46

administrator   bugnote:0003511

2588/982

vskirdin

2009-06-08 15:55

administrator   bugnote:0003517

ну вот совершенно не согласен.
НАХРЕНА мне какие-то переводы строк, если я делаю set a=b?

DrKnS

2009-06-08 16:01

administrator   bugnote:0003519

Так и нет там никаких "переводов строк", патч посмотри :)

А для случая "set a=b" ты разницы вообще не увидишь, ибо аутпута нет.

JohnDoe

2009-06-09 11:50

updater   bugnote:0003524

Запускаем set a=b при трёх выделенных файлах:

C:\APPS\FAR\Far.Settings\alias>set a=b


C:\APPS\FAR\Far.Settings\alias>set a=b


C:\APPS\FAR\Far.Settings\alias>set a=b

Видим что после каждой команды два перевода строки. Один лишний.
Возможно это уже надо обсуждать в 0000910?

DrKnS

2009-06-09 20:05

administrator   bugnote:0003531

Это уже валя погнул, при @set a=b вообще глюки чудные.

Обсуждать лучше в 910, да.

Issue History

Date Modified Username Field Change
2009-06-07 13:05 JohnDoe New Issue
2009-06-07 16:46 DrKnS Note Added: 0003511
2009-06-07 16:46 DrKnS Assigned To => DrKnS
2009-06-07 16:46 DrKnS Status new => feedback
2009-06-08 15:55 vskirdin Note Added: 0003517
2009-06-08 16:01 DrKnS Note Added: 0003519
2009-06-09 11:50 JohnDoe Note Added: 0003524
2009-06-09 20:05 DrKnS Note Added: 0003531
2009-06-10 12:14 JohnDoe Status feedback => resolved
2009-06-10 12:14 JohnDoe Resolution open => fixed
2009-06-10 13:36 DrKnS Build => 2588
2009-06-10 13:36 DrKnS Status resolved => closed
2009-06-10 13:36 DrKnS Fixed in Version => 1.75